@model FERZid.ViewModels.ServisViewModel

@{
    ViewData["Title"] = "Servis id:" + Model.Idservisa;
}

<h2>Detalji servisa za uredaj: @Html.DisplayFor(model => model.ImeUredaja) (ID: @Html.DisplayFor(model => model.Iduredaja)) </h2>
<p>Identifikacijski broj servisa: @Html.DisplayFor(model => model.Idservisa)</p>
<hr/> 
<h4>Opis posla</h4>
<p>@Html.DisplayFor(model => model.Opis)</p>

<div class="row">
    <div class="col-md-4">
        <h4>Vrsta servisa:</h4>
        <p>@Html.DisplayFor(model => model.NazivVrste)</p>
    </div>
    <div class="col-md-4">
        <h4>Dogovoreni vremenski period:</h4>
        <p> Od <strong>@Html.DisplayFor(model => model.Pocetak)</strong> do <strong>@Html.DisplayFor(model => model.Zavrsetak)</strong></p>
    </div>
    <div class="col-md-4">
        <h4>Status servisa:</h4>
        <p>@Html.DisplayFor(model => model.NazivStatusa)</p>
    </div>
</div>
<hr />
<h4>Zaposleni serviseri:</h4>
<br />
<table class="table table-striped" id="tableUloge">
    <thead>
        <tr>
            <th>
                Serviser
            </th>
            <th>
                Uloga
            </th>
            <th>
                Zapoceo
            </th>
            <th>
                Zavrsio
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Uloge)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.NazivServisera)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Uloga)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Zapoceo)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Zavrsio)
                </td>
            </tr>
        }
    </tbody>
</table>

<div>
    <a asp-action="Edit" asp-route-id="@Model.Idservisa">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#tableUloge').DataTable();
        });
    </script>
}
